// SPDX-License-Identifier: MIT

use anyhow::Result;
use serde::Deserialize;

use crate::common;

#[derive(Deserialize)]
pub struct TimeSyncParam {
    timestamp: String,
}

pub async fn time_sync(param: TimeSyncParam) -> Result<()> {
    common::exec_command(&["time_setup.sh", "sync", &param.timestamp]).await?;
    Ok(())
}
